/****************************************************************************
 *   Copyright (C) 2012 by Claas Anders "CaScAdE" Rathje                    *
 *   admiralcascade@gmail.com                                               *
 *   Project-URL: http://www.mylifesucks.de/oss/c-scale/                    *
 *                                                                          *
 *   This program is free software; you can redistribute it and/or modify   *
 *   it under the terms of the GNU General Public License as published by   *
 *   the Free Software Foundation; either version 2 of the License.         *
 *                                                                          *
 *   This program is distributed in the hope that it will be useful,        *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of         *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the          *
 *   GNU General Public License for more details.                           *
 *                                                                          *
 *   You should have received a copy of the GNU General Public License      *
 *   along with this program; if not, write to the                          *
 *   Free Software Foundation, Inc.,                                        *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.              *
 ****************************************************************************/
 
#ifndef _UART_H
#define _UART_H

void uart_init(void);
void uart_putc(unsigned char);
void uart_puts(char*);
void uart_puts_pgm(char*);

#define TXD0_BLOCKED	0xFF
#define TXD0_BUFFER_LEN	50

extern volatile uint8_t txd0_buffer[TXD0_BUFFER_LEN];
extern volatile uint8_t *pTxData0;
extern volatile uint8_t TxData0Len;

extern volatile uint8_t received;

#endif
